/*
 * timer1.c
 *
 * Created: 2014-12-04 17:10:17
 *  Author: student
 */ 


#include <avr/io.h>
#include <avr/interrupt.h>

int main(void)
{
	// dioda LED
	PORTB.DIRSET      =    PIN0_bm|PIN1_bm;
	PORTB.OUTSET	=		PIN1_bm;
	
	 // konfiguracja przerwa
	 TCC0.INTCTRLA     =    TC_OVFINTLVL_LO_gc;         // przepenienie ma generowa przerwanie LO
	 PMIC.CTRL         =    PMIC_LOLVLEN_bm;			// odblokowanie przerwa o priorytecie LO
	 sei();
	
	// konfiguracja timera
	TCC0.CTRLB        =    TC_WGMODE_NORMAL_gc;        // tryb normalny
	TCC0.CTRLA        =    TC_CLKSEL_DIV1024_gc;       // ustawienie preskalera i uruchomienie timera
	TCC0.PER = 1000;
	
    while(1)
    {
        //TODO:: Please write your application code 
    }
}

ISR(TCC0_OVF_vect) {                                   // przerwanie przepenienia TCC0
	PORTB.OUTTGL      =    PIN0_bm;                    // zamiana stanu diody
}